Package org.eclipse.net4j.util.factory

# Class FactoryDescriptor

java.lang.Object
org.eclipse.net4j.util.factory.FactoryDescriptor

All Implemented Interfaces:
  `org.eclipse.net4j.internal.util.factory.PluginFactoryRegistry.IFactoryDescriptor`, `IFactory`

@Deprecated public class FactoryDescriptor extends Object implements org.eclipse.net4j.internal.util.factory.PluginFactoryRegistry.IFactoryDescriptor
Deprecated.
As of 3.19 no longer public API.
A `factory` that delegates to an `extension registry` contribution.

Example contribution:

        <extension point="org.eclipse.net4j.util.factories">
           <factory
                 class="org.eclipse.net4j.util.concurrent.TimerLifecycle$DaemonFactory"
                 productGroup="org.eclipse.net4j.util.timers"
                 type="daemon"/>
        </extension>

Author:
  Eike Stepper
No Extend
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`FactoryDescriptor(IConfigurationElement configurationElement)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`create(String description)`
Deprecated.
`IFactory`
`createFactory()`
Deprecated.
`IConfigurationElement`
`getConfigurationElement()`
Deprecated.
`IFactoryKey`
`getKey()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.internal.util.factory.PluginFactoryRegistry.IFactoryDescriptor

`getDescriptionFor`

## Constructor Details

### FactoryDescriptor

@Deprecated public FactoryDescriptor(IConfigurationElement configurationElement)
Deprecated.

## Method Details

### getConfigurationElement

@Deprecated public IConfigurationElement getConfigurationElement()
Deprecated.

### getKey

@Deprecated public IFactoryKey getKey()
Deprecated.

Specified by:
  `getKey` in interface `IFactory`

### createFactory

@Deprecated public IFactory createFactory()
Deprecated.

Specified by:
  `createFactory` in interface `org.eclipse.net4j.internal.util.factory.PluginFactoryRegistry.IFactoryDescriptor`

### create

@Deprecated public Object create(String description)
Deprecated.

Specified by:
  `create` in interface `IFactory`
Specified by:
  `create` in interface `org.eclipse.net4j.internal.util.factory.PluginFactoryRegistry.IFactoryDescriptor`